/*
    blueROCK - for digital rock
    Copyright (C) 2019  Dorian Zedler

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef SERVERCONN_H
#define SERVERCONN_H

#include <QObject>
#include <QtNetwork>
#include <QEventLoop>
#include <QTimer>
#include <QUrl>

class ServerConn : public QObject
{
    Q_OBJECT
public:
    explicit ServerConn(QObject *parent = nullptr);

private:
    QVariantMap senddata(QUrl serviceUrl, QUrlQuery pdata = QUrlQuery());

signals:

public slots:

    QVariant getWidgetData(QVariantMap params);

};

#endif // SERVERCONN_H
